FileControllerRollbackFile Method |
POST /File/Rollback/{id}
Rolls the file with the specified ID back to the specified revision number.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Rollback")]
public IActionResult RollbackFile(
Guid id,
[FromBodyAttribute] long revisionNumber,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Rollback")>
Public Function RollbackFile (
id As Guid,
<FromBodyAttribute> revisionNumber As Long,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Rollback")]
IActionResult^ RollbackFile(
Guid id,
[FromBodyAttribute] long long revisionNumber,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Rollback")>]
member RollbackFile :
id : Guid *
[<FromBodyAttribute>] revisionNumber : int64 *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the file to rollback. - revisionNumber
- Type: SystemInt64
The revision number. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the current session.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also